net.corda.flows

## Class ContractUpgradeFlow

- net.corda.flows.ContractUpgradeFlow

-     public class ContractUpgradeFlow

  A flow to be used for upgrading state objects of an old contract to a new contract.

  The `class ContractUpgradeFlow.Instigator` assembles the transaction for contract upgrade and sends out change proposals to all participants (`class ContractUpgradeFlow.Acceptor`) of that state. If participants agree to the proposed change, they each sign the transaction. Finally, `class ContractUpgradeFlow.Instigator` sends the transaction containing all signatures back to each participant so they can record it and use the new updated state for future transactions.

  See Also:
    `class ContractUpgradeFlow.Instigator`, `class ContractUpgradeFlow.Acceptor`, `class ContractUpgradeFlow.Instigator`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContractUpgradeFlow.Acceptor`
    `static class` | `ContractUpgradeFlow.Instigator<OldState extends ContractState,NewState extends ContractState>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ContractUpgradeFlow` | `INSTANCE` A flow to be used for upgrading state objects of an old contract to a new contract.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `verify(TransactionForContract tx)`
    `static void` | `verify(ContractState input, ContractState output, Command commandData)`

- - ### Field Detail

    - #### INSTANCE

          public static ContractUpgradeFlow INSTANCE

      A flow to be used for upgrading state objects of an old contract to a new contract.

      The `class ContractUpgradeFlow.Instigator` assembles the transaction for contract upgrade and sends out change proposals to all participants (`class ContractUpgradeFlow.Acceptor`) of that state. If participants agree to the proposed change, they each sign the transaction. Finally, `class ContractUpgradeFlow.Instigator` sends the transaction containing all signatures back to each participant so they can record it and use the new updated state for future transactions.

      See Also:
        `class ContractUpgradeFlow.Instigator`, `class ContractUpgradeFlow.Acceptor`, `class ContractUpgradeFlow.Instigator`

  - ### Method Detail

    - #### verify

          public static void verify(TransactionForContract tx)

    - #### verify

          public static void verify(ContractState input,
                                    ContractState output,
                                    Command commandData)